/*
 *      This file is part of Erik's Interest Calculator.
 *
 *      Erik's Interest Calculator is free software: you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by the Free Software
 *      Foundation, either version 3 of the License, or (at your option) any later version.
 *
 *      Erik's Interest Calculator is distributed in the hope that it will be useful, but
 *      WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *      FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 *      You should have recented a copy of the GNU General Public License along with Erik's
 *      Interest Calculator. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef INTEREST_H
#define INTEREST_H

#include <QLineEdit>
#include <QMainWindow>
#include <QLabel>
#include <QButtonGroup>

class Interest : public QMainWindow {
    Q_OBJECT

public:
    Interest(QWidget *parent = 0);
	double evaluate(double pres, double rate, int num, double payment);

private slots:
    void recompute(void);
	void recomputePresentValue(void);
	void recomputeFutureValue(void);
	void recomputeInterestValue(void);
	void recomputePaymentValue(void);
	void recomputeNumberValue(void);
    void showAbout(void);
    void quit(void);
	void showLicense(void);
    void showNewWindow(void);

private:
    QLineEdit *valueEdit, *interestEdit, *futureEdit, *paymentEdit, *numberEdit;
	QLabel *totalPayments, *interestPayments;
	QButtonGroup *defaultButtonGrp;
};

#endif
